Package ru.bitel.bgbilling.kernel.network.flow

# Class FlowListener

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.common.io.DatagramChannelListener
ru.bitel.bgbilling.kernel.network.flow.FlowListener

All Implemented Interfaces:
  `Runnable`

public abstract class FlowListener extends ru.bitel.common.io.DatagramChannelListener

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.io.DatagramChannelListener

  `byteBufferCapacity, channel, directByteBuffer, host, inited, maxPacketSize, port, selector`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FlowListener(int port, int byteBufferCapacity, int socketRCVBUF, String nestedContext)`
  `FlowListener(String host, int port, int byteBufferCapacity, int socketRCVBUF, String nestedContext)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract void`
  `flush(long millis, List<FlowPacket> packetList)`
  `void`
  `init()`
  `void`
  `run()`
  `Thread`
  `startListener()`
  `String`
  `toString()`
  `protected void`
  `toString(StringBuilder result)`

  ### Methods inherited from class ru.bitel.common.io.DatagramChannelListener

  `onPacket, select, send, sendResponse, setReuseAddress, shutdown`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### FlowListener

    public FlowListener(String host, int port, int byteBufferCapacity, int socketRCVBUF, String nestedContext)

  - ### FlowListener

    public FlowListener(int port, int byteBufferCapacity, int socketRCVBUF, String nestedContext)

- ## Method Details

  - ### init

    public void init()
    Overrides:
      `init` in class `ru.bitel.common.io.DatagramChannelListener`

  - ### run

    public void run()
    Specified by:
      `run` in interface `Runnable`
    Overrides:
      `run` in class `ru.bitel.common.io.DatagramChannelListener`

  - ### flush

    public abstract void flush(long millis, List<FlowPacket> packetList)

  - ### startListener

    public Thread startListener()

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### toString

    protected void toString(StringBuilder result)